Texa Desk Application API · Reports
Get inbox-label matrix report
GET/
Get a matrix showing the count of conversations for each inbox-label combination. Returns a list of inboxes, labels, and a 2D matrix where each cell contains the count of conversations in a specific inbox that have a specific label applied.
Note: This API endpoint is available only in Texa Desk version 4.11.0 and above.
Authorization
api_access_tokenheaderrequiredA person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.
Path parameters
account_idintegerrequiredThe numeric ID of the account
Query parameters
sincestringThe timestamp from where report should start (Unix timestamp).
untilstringThe timestamp from where report should stop (Unix timestamp).
inbox_idsarray of integerFilter by specific inbox IDs.
label_idsarray of integerFilter by specific label IDs.
Responses
200Success
inboxesarray of objectList of inboxes included in the report
inboxes[].idnumberThe inbox ID
inboxes[].namestringThe inbox name
labelsarray of objectList of labels included in the report
labels[].idnumberThe label ID
labels[].titlestringThe label title
matrixarray of array of number2D array where matrix[i][j] represents the count of conversations in inboxes[i] with labels[j]
403Access denied
descriptionstringerrorsarray of objecterrors[].fieldstringerrors[].messagestringerrors[].codestring